Tag Archives: RDP error “The function requested is not supported

RDP error “The function requested is not supported”

8 Jun

I had the same issue. I found the issue has to do with a Windows Update patch that was pushed out to my work station in last nights Windows Updates. There was a critical CVE (CVE-2018-0886) for RDP which required a patch to fix.

If you workstation is patched, but your server isn’t, your workstation will fail to connect.

Quoting from the following blog website with information about the issue, you’ve got three options:

  • Patch your target computer for CVE-2018-0886 (Recommended)
  • Enforce the Vulnerable parameter on the source computer (Not recommended)
  • Disable NLA on your target computer (Not recommended)

I didn’t have alternative access to the server(remote access only), so I had to chose Option 2 so I could go do the updates on the server.

I opened the start menu on my work station, searched for “group policy”, clicked Edit Group Policy. Then following Microsoft spec, Go to “Computer Configuration -> Administrative Templates -> System -> Credentials Delegation”, then :

  • Setting Encryption Oracle Remedation set to “Enabled”
  • In Options below, set “Protection Level: to Vulnerable